@if ($componentData(); as componentData) {
  <div class="capsules-container">
    <sqtm-core-capsule-information
      class="m-r-5"
      [attr.data-test-element-id]="'exploratory-execution-status'"
      [informationData]="
        getExploratoryExecutionStatusCapsuleInfoData(componentData.execution)
      "
    >
    </sqtm-core-capsule-information>
    @if (isSessionDurationSet(componentData.execution)) {
      <sqtm-core-capsule-information
        class="m-r-5"
        [attr.data-test-element-id]="'defined-duration'"
        [informationData]="
          getSessionDurationCapsuleInfoData(componentData.execution)
        "
      >
      </sqtm-core-capsule-information>
    }
    <sqtm-core-capsule-information
      class="m-r-5"
      [attr.data-test-element-id]="'session-time-elapsed'"
      [informationData]="timeElapsedCapsuleInfoData"
    >
    </sqtm-core-capsule-information>
    <div class="flex m-l-10">
      @if (!isSessionRunning(componentData.execution)) {
        <i
          class="session-icon"
          nz-icon
          nzType="sqtm-core-campaign:play"
          [class.disabled]="!canEdit"
          [attr.data-test-element-id]="'run-exploratory-execution'"
          (click)="runExploratoryExecution(componentData)"
        ></i>
      } @else {
        <i
          class="session-icon"
          nz-icon
          nzType="sqtm-core-campaign:pause"
          [class.disabled]="!canEdit"
          [attr.data-test-element-id]="'pause-exploratory-execution'"
          (click)="pauseExploratoryExecution(componentData)"
        >
        </i>
      }
      <i
        class="session-icon"
        nz-icon
        nzTheme="outline"
        nzType="sqtm-core-campaign:stop"
        [class.disabled]="
          isExploratoryExecutionStoppedOrNeverStarted(
            componentData.execution
          ) || !canEdit
        "
        [attr.data-test-element-id]="'stop-exploratory-execution'"
        (click)="stopExploratoryExecution(componentData)"
      ></i>
    </div>
  </div>
}
